<script>
  import Button from "../../generics/button.svelte";
  import Tag from "../../generics/tag.svelte";
</script>

<style>
  .tag-wrapper {
    overflow-y: auto;
    scrollbar-color: red blue;
  }
</style>

<div class="bgc-achro-90 p-020 flex flex-column">
  <div class="flex flex-column flex-01 bgc-achro-70 br-025 mb-020">
    <Button
      text="Filter"
      bgColor="bgc-achro-60"
      txtColor="c-achro-20"
      txtSize="fs-10"
      txtWeight="fw-400"
      pLR="plr-025"
      classStyle="flex-01 mlr-010 mt-010" />
    <div class="flex mt-010">
      <Button
        text="Search all"
        bgColor="bgc-violet-40"
        bgColorHover="bgch-violet-50"
        txtColor="c-achro-00"
        txtSize="fs-09"
        txtWeight="fw-500"
        classStyle="flex-01 ml-010"
        pLR="plr-020" />
      <Button
        bgColor="bgc-violet-40"
        bgColorHover="bgch-violet-50"
        icon="arrow"
        iconColor="f-achro-00"
        iconSize=".9rem"
        classStyle="mlr-010"
        pLR="plr-005"
        style="width:32px" />
    </div>
    <div
      class="tag-wrapper flex flex-column flex-01 mtb-020 ml-010 br-025 scroll">
      <Tag text="kermit" bgColorHover="bgch-achro-60" />
      <Tag text="darth-vader" bgColorHover="bgch-achro-60" />
      <Tag text="hey" bgColorHover="bgch-achro-60" />
      <Tag text="vsauce" bgColorHover="bgch-achro-60" />
      <Tag text="michael" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
      <Tag text="here" bgColorHover="bgch-achro-60" />
    </div>
    <Button
      text="Manage tags"
      bgColor="bgc-violet-40"
      bgColorHover="bgch-violet-50"
      txtColor="c-achro-00"
      txtSize="fs-09"
      txtWeight="fw-500"
      pLR="plr-025"
      classStyle="flex-01 mlr-010 mb-010" />
  </div>
  <Button
    text="Settings"
    icon="settings"
    iconSize="1rem"
    bgColor="bgc-achro-70"
    bgColorHover="bgch-achro-60"
    txtColor="c-achro-20"
    iconColor="f-achro-20"
    txtSize="fs-09"
    txtWeight="fw-500"
    pLR="plr-040" />
</div>
